Name:                jackson-annotations
Version:             2.13.1
Release:             1
Summary:             Core annotations for Jackson data processor
License:             ASL 2.0
URL:                 https://github.com/FasterXML/jackson-annotations/
Source0:             https://github.com/FasterXML/jackson-annotations/archive/jackson-annotations-2.13.1.tar.gz
BuildRequires:       maven-local mvn(com.fasterxml.jackson:jackson-parent:pom:) mvn(junit:junit)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildArch:           noarch
%description
Core annotations used for value types,
used by Jackson data-binding package.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%pom_remove_plugin "org.moditect:moditect-maven-plugin"
%pom_remove_plugin "org.sonatype.plugins:nexus-staging-maven-plugin"
%pom_remove_plugin "de.jjohannes:gradle-module-metadata-maven-plugin"
sed -i 's/\r//' LICENSE
%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md release-notes/*
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Mar 30 2022 houyingchao <houyingchao@huawei.com> - 2.13.1-1
- Upgrade to 2.13.1 version

* Fri Aug 14 2020 chengzihan <chengzihan2@huawei.com> - 2.9.8-1
- Package upgrade to 2.9.8

* Tue Dec 3 2019 huyan <hu.huyan@huawei.com> - 2.9.4-4
- Package Initialization
